PrinterError: Low Printer VM with ver. 10_11_0_2338 or later

General usage of the PDF Printer.

Moderator: jr

PrinterError: Low Printer VM with ver. 10_11_0_2338 or later

Postby Endwer » Mon Jun 15, 2015 6:26 am

Hi,
After updating Bullzip PDF Printer version from 10_10_0_2307 to 10_12_0_2363(currently newest),
I started getting an error like
------------------------------------------------------------------------
Error 1007: An error occured while running Ghostscript
%%[ ProductName: GPL Ghostscript ]%%
%%[Page: 1]%%
%%[Page: 2]%%
.
.
%%[ PrinterError: Low Printer VM ]%%
Source: GUI
Internal hint: Run converter to create PDF file
------------------------------------------------------------------------

and failed to create.
Assumably it occurs when I try printing about 2000 pages or more
(from an report design application like Crystal Reports).

I also had same error with former version as below:
10_12_0_2361
10_11_0_2338
and then I tried ghostscript9.15,9.16(latest) and fell back to ghostscriptLite
but I saw nothing better.

After rollbacked to 10_10_0_2307 I got correct result then
I think it should be a matter of the difference between 10_10_0_2307 and later.

Is there any solution for it?

Thanks in advance.
Endwer.
Endwer
 
Posts: 2
Joined: Mon Jun 15, 2015 5:45 am
Location: Tokyo/Japan

Re: PrinterError: Low Printer VM with ver. 10_11_0_2338 or l

Postby jr » Wed Jun 17, 2015 12:55 pm

Hi,

You can help me locate the problem by collecting debug information for me. I know that your debug result may be huge but that may be what I need to recreate the problem.

Here is how to enable the debug mode:
http://www.biopdf.com/guide/trouble_sho ... eation.php

Keep in mind that the paths for Bullzip are slightly different ;-)

You can send me the file through this link:

https://www.dbinbox.com/bullzip

Regards,
Jacob
jr
Site Admin
 
Posts: 491
Joined: Sun Mar 26, 2006 12:28 pm

Re: PrinterError: Low Printer VM with ver. 10_11_0_2338 or l

Postby Endwer » Thu Jun 18, 2015 6:11 am

Thank you very much for your advice!
And shortly, I found the solution and the reason was my easy mistake(or carelessness).

I did as you adviced me to take debuginfo and sent you 3 zipped files as below

1. debuginfo_10_10_0_2307.zip
2. debuginfo_10_12_0_2363.zip
3. debuginfo_10_12_0_2363_fixed.zip

1. is made by the former version of Bullzip which have been working well.
2. contains error which I asked about. but it doesn't contain printer.ps and patched.ps
because these 2 files are too large to send and I found what the cause is in comparison to 1.

These two files both have over 2GB of file size, and files which have same name in 1 are
only 138MB, then I checked the difference in settings and I found I forgot to switch the setting
from color to monochrome (sorry I'm using Bullzip in Japanese enviroment and I don't know
how it is called in English version)

After I switched the radio button to monochrome,
I could have the result as I expected and the newer one works a bit better in speed.
(3. is for the fixed result)

And just in order to specify the problem,
I tried to put patched.ps directly into ghostscript and got the same error
"PrinterError: Low Printer VM

In conclusion, The task I requested to Bullzip made a temporaly postscript file and
it was too large for ghostscript to deal with(at least in current version 9.16).

Now I can upgrade my main PDF printer to the current version(never forget the color settings!)

Regards,
Endwer
Endwer
 
Posts: 2
Joined: Mon Jun 15, 2015 5:45 am
Location: Tokyo/Japan


Return to General

Who is online

Users browsing this forum: No registered users and 1 guest